This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 890438 - (libkscreen) Review Request: libkscreen - KDE Display Management library
Review Request: libkscreen - KDE Display Management library
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Grulich
Fedora Extras Quality Assurance
:
Depends On:
Blocks: kde-reviews kscreen
  Show dependency treegraph
 
Reported: 2012-12-26 18:15 EST by Daniel Vrátil
Modified: 2015-11-01 20:36 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 18:47:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jgrulich: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Daniel Vrátil 2012-12-26 18:15:34 EST
Spec URL: http://pub.progdan.cz/specs/libkscreen.spec
SRPM URL: http://pub.progdan.cz/specs/libkscreen-20121226gitecc8d1a-1.fc18.src.rpm
Description: LibKScreen is a library to access and change current configuration of displays.
Fedora Account System Username: dvratil

Successful Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4820851
Comment 1 Mario Blättermann 2012-12-27 11:22:28 EST
Source0:        libkscreen-%{version}.tar.xz
has to be a downloadable URL. You are using a Git checkout, that's why no static URL is available. In this case you have to provide instructions how to get the source tarball.
In general, you should follow the instructions for the naming of such checkouts:
http://fedoraproject.org/wiki/Packaging:SourceURL#Using_Revision_Control
https://fedoraproject.org/wiki/Packaging:NamingGuidelines?rd=Packaging/NamingGuidelines#Pre-Release_packages

rm -rf $RPM_BUILD_ROOT
is an artifact from older Fedora releases. Drop it, unless you want to provide your package for EPEL5 (impossible anyway due to missing BuildRequires there).

URL:            http://www.kde.org
Is it possible to provide a more specific URL?
Comment 2 Daniel Vrátil 2012-12-28 11:30:09 EST
Spec URL: http://pub.progdan.cz/specs/libkscreen.spec
SRPM URL: http://pub.progdan.cz/specs/libkscreen-0.9.0-1.20121228git.fc18.src.rpm

* Fri Dec 28 2012 Dan Vrátil <dvratil@redhat.com> 0.9.0-1.20121228git
 - Fixed versioning
 - Added instructions how to retrieve sources
 - Fixed URL
 - Removed 'rm -rf $RPM_BUILD_ROOT'
Comment 3 Jan Grulich 2012-12-28 12:13:37 EST
Should be okay now.
Comment 4 Daniel Vrátil 2012-12-28 12:16:53 EST
New Package SCM Request
=======================
Package Name: libkscreen
Short Description: KDE Display Management Library
Owners: dvratil
Branches: f17 f18
InitialCC:
Comment 5 Kevin Fenzi 2012-12-30 16:05:58 EST
Git done (by process-git-requests).

jgrulich: when doing reviews, could you do some basic checks, add rpmlint output, etc? 
(Or use the fedora-review tool as a base)
Comment 6 Fedora Update System 2012-12-30 16:59:06 EST
libkscreen-0.9.0-1.20121228git.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libkscreen-0.9.0-1.20121228git.fc17
Comment 7 Fedora Update System 2012-12-30 16:59:17 EST
libkscreen-0.9.0-1.20121228git.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libkscreen-0.9.0-1.20121228git.fc18
Comment 8 Fedora Update System 2012-12-31 19:15:41 EST
libkscreen-0.9.0-1.20121228git.fc18 has been pushed to the Fedora 18 testing repository.
Comment 9 Mario Blättermann 2013-01-04 16:12:16 EST
There's no Rawhide package available yet, which I could use for a Koji build of kscreen.
Comment 10 Fedora Update System 2013-01-11 18:47:51 EST
libkscreen-0.9.0-1.20121228git.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-01-12 10:22:18 EST
libkscreen-0.9.0-1.20121228git.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.